Event Contract Events
Push position change event upon event contract position outcome determination
Event Contract Events
Event contract position change event notification
- Event Contract
{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "POSITION",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"account_id": "J6HA4EBQRQFJD2J6NQH0F7M649",
"position_id":"HLJQV6O9AVHH2JFKEBAO5PIUJ9",
"symbol ":"KXRATECUTCOUNT-26DEC31-T14",
"event_name": "Number of rate cuts in 2025",
"yes_condition": "Exactly 8 cuts",
"settle_result": "Yes",
"settle_side": "Yes",
"quantity": "40",
"cost": "20.00",
"settle_amount": "40.00",
"biz_type": "EVENT_POSITION_SETTLED"
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
| id | string | Unique event identifier |
| event_type | string | Event type, fixed as POSITION |
| position | string | Cursor for event replay; re-pushes subsequent events within the current business type. |
| timestamp | string | Event timestamp in ISO 8601 format |
| payload | object | Event payload data |
Payload Fields
| Field | Type | Description |
|---|---|---|
| position_id | string | Position ID. |
| account_id | string | Account id |
| symbol | string | Symbol. |
| event_name | string | Event Contract Name |
| yes_condition | string | Conditions for YES. |
| settle_result | string | Settlement result of the event contract. |
| settle_side | string | Event outcome decision. |
| quantity | string | Quantity of the position. |
| cost | string | Total cost basis of the position. |
| settle_amount | string | Settlement amount after the event contract outcome is confirmed. |
| biz_type | string | Business type, fixed as EVENT_POSITION_SETTLED |